cascading.flow.planner

## Class PlannerContext

- java.lang.Object
- - cascading.flow.planner.PlannerContext

    public class PlannerContext
    extends java.lang.Object

### Field Summary

Fields
`static PlannerContext` `NULL`

### Constructor Summary

Constructors
Constructor and Description
`PlannerContext()`
`PlannerContext(RuleRegistry ruleRegistry)`
`PlannerContext(RuleRegistry ruleRegistry, FlowPlanner flowPlanner, FlowDef flowDef, Flow flow, boolean isTransformTracingEnabled)`

### Method Summary

Methods
`ElementFactory` `getElementFactoryFor(java.lang.String factoryName)`
`Flow` `getFlow()`
`FlowDef` `getFlowDef()`
`FlowPlanner` `getFlowPlanner()`
`int` `getIntProperty(java.lang.String property, int defaultValue)`
`ProcessLogger` `getLogger()`
`PlannerLevel` `getPlannerLevelFor(java.lang.Class<? extends PlannerLevel> plannerLevelClass)`
`RuleRegistry` `getRuleRegistry()`
`java.lang.String` `getStringProperty(java.lang.String property)`
`boolean` `isTransformTracingEnabled()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NULL

    public static final PlannerContext NULL

### Constructor Detail

#### PlannerContext

    public PlannerContext()

#### PlannerContext

    public PlannerContext(RuleRegistry ruleRegistry)

#### PlannerContext

    public PlannerContext(RuleRegistry ruleRegistry,
                  FlowPlanner flowPlanner,
                  FlowDef flowDef,
                  Flow flow,
                  boolean isTransformTracingEnabled)

### Method Detail

#### getStringProperty

    public java.lang.String getStringProperty(java.lang.String property)

#### getIntProperty

    public int getIntProperty(java.lang.String property,
                     int defaultValue)

#### getRuleRegistry

    public RuleRegistry getRuleRegistry()

#### getFlowPlanner

    public FlowPlanner getFlowPlanner()

#### getFlowDef

    public FlowDef getFlowDef()

#### getFlow

    public Flow getFlow()

#### getLogger

    public ProcessLogger getLogger()

#### isTransformTracingEnabled

    public boolean isTransformTracingEnabled()

#### getPlannerLevelFor

    public PlannerLevel getPlannerLevelFor(java.lang.Class<? extends PlannerLevel> plannerLevelClass)

#### getElementFactoryFor

    public ElementFactory getElementFactoryFor(java.lang.String factoryName)